Page MenuHomePhabricator

Improve logging for "Main slot of revision (number) not found in database!"
Closed, ResolvedPublic

Description

The error "Main slot of revision (number) not found in database!", documented in T212428, has been present for some time.

While this error should be fixed, the current logging is problematic for train triage, conductors, and deployers, who have to change how it is filtered on a weekly basis. Revise the logging to be more straightforward to filter.

From a comment on the original task: "How about a log call to a custom channel for the revision ID and a generic exception message for error logs? The latter would be much easier for deployers to filter / ignore."

Event Timeline

BPirkle created this task.Jun 23 2020, 2:00 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 23 2020, 2:00 PM

Change 608982 had a related patch set uploaded (by BPirkle; owner: BPirkle):
[mediawiki/core@master] Improve logging for "main slot of revision not found in database"

https://gerrit.wikimedia.org/r/c/mediawiki/core/ /608982

Looking a bit more, RevisionStore::constructSlotRecords (the function that throws the exception in question) already logs related diagnostic info via $this->logger->info(), so I followed that same pattern for the new log message with revision id.

For the exception message, in addition to removing the revision id for filterability, I changed the exclamation point to a period. An exclamation point communicates (to me at least) a truly worrisome/surprising condition. This has been going on for a year and a half now, so it doesn't seem to deserve that level of alarm.

BPirkle claimed this task.Jul 2 2020, 2:15 PM
BPirkle moved this task from Ready to Doing on the Platform Team Workboards (Clinic Duty Team) board.

Change 610087 had a related patch set uploaded (by Krinkle; owner: BPirkle):
[mediawiki/core@wmf/1.35.0-wmf.35] Improve logging for "main slot of revision not found in database"

https://gerrit.wikimedia.org/r/610087

Change 610088 had a related patch set uploaded (by Krinkle; owner: BPirkle):
[mediawiki/core@wmf/1.35.0-wmf.40] Improve logging for "main slot of revision not found in database"

https://gerrit.wikimedia.org/r/610088

Change 608982 merged by jenkins-bot:
[mediawiki/core@master] Improve logging for "main slot of revision not found in database"

https://gerrit.wikimedia.org/r/608982

Change 610088 merged by jenkins-bot:
[mediawiki/core@wmf/1.35.0-wmf.40] Improve logging for "main slot of revision not found in database"

https://gerrit.wikimedia.org/r/610088

BPirkle closed this task as Resolved.Jul 13 2020, 2:19 PM